Subject: [LON-CAPA-dev] Searching

From: [email-masked]
Date: Thu, 21 Jul 2005 10:27:40 -0400 (EDT)

The search on oucapa2 seems to not be doing so well (1.99.2).

I searched on algebra in the subject with related keywords and got a bunch 
of stuff from Thom on Astronomy. I then searched on math review in 
keywords and got nothing. Lastly, I went to my old standby 'relativity' 
and got nothing.

Odds are I'm forgetting something or being stupid about something, but 
could someone try a 'mildly productive' search and pass along the search 
parameters and a description of the stuff you found? I'd like to try 
duplicating this on oucapa2.

As an aside, where are the pockets of math review problems?

Thanks!
Mark

----------------------------------------------------------------------------
Mark Lucas					email: [email-masked]
252D Clippinger Lab  				phone: (740)597-2984
Department of Physics and Astronomy             fax:   (740)593-0433
Ohio University
Athens, OH 45701

---

From: "Stuart Peter Raeburn" <[email-masked]>
Date: Thu, 21 Jul 2005 10:48:40 -0400

Hi Mark, 

I logged into capa2.phy.ohiou.edu with a username from the msu domain, and 
ran a simple search on "algebra".  A total of 2562 matches were recorded.  I 
was able to display these, although the lower frame initially only displayed 
1 of 4 matches.  Access to the others (20 at a time) was available when I 
clicked the "Reload" button in the lower frame. 

Stuart 

Stuart Raeburn
MSU LON-CAPA support/development 

[email-masked] writes: 

> _______________________________________________
> LON-CAPA-dev mailing list
> [email-masked]
> http://mail.lon-capa.org/mailman/listinfo/lon-capa-dev 
>

---

From: [email-masked]
Date: Thu, 21 Jul 2005 11:08:50 -0400 (EDT)

Okay - I just duplicated that (simple search on "algebra") and got 383 
matches.

I was under my author role.

As you state, I had about 4 show up in the first frame, but reload kicked 
that up. Even without reloading, I got a message at top showing the 383 
matches.

Previously, I got a message of 0 on other searches (as the message the 
top).

With 'no role chosen' I got 2675. Can anyone give a quick explanation why 
the difference? (2675: no role vs 383: author role)

Thanks,
Mark

On Thu, 21 Jul 2005, Stuart Peter Raeburn wrote:

>> of stuff from Thom on Astronomy. I then searched on math review in keywords 
>> and got nothing. Lastly, I went to my old standby 'relativity' and got 
>> nothing.

---

From: "rlight" <[email-masked]>
Date: Thu, 21 Jul 2005 12:04:39 -0400

I get over 2000 when I'm in a course coordinator role, and a little over 900
when in author role.  But I don't see a search button when I haven't chosen
a role.  Is that a feature of 1.99? (I think ours is 1.3.3.)  But the
question remains, why the difference?

Robley

*************************************************************
Robley J. Light                         Professor Emeritus, Chemistry and
Biochemistry
Department of Chemistry          		Phone:   (850) 644-3844 
   and Biochemistry                   	Email:  [email-masked]   
Florida State University             	Fax:      (850) 644-8281
Tallahassee, FL 32306-4390    Home Page:
http://www.chem.fsu.edu/editors/rlight    

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of 
> [email-masked]
> Sent: Thursday, July 21, 2005 11:09 AM
> To: [email-masked]
> Subject: Re: [LON-CAPA-dev] Searching
> 
> Okay - I just duplicated that (simple search on "algebra") 
> and got 383 matches.
> 
> As you state, I had about 4 show up in the first frame, but 
> reload kicked that up. Even without reloading, I got a 
> message at top showing the 383 matches.
> 
> Previously, I got a message of 0 on other searches (as the 
> message the top).
> 
> With 'no role chosen' I got 2675. Can anyone give a quick 
> explanation why the difference? (2675: no role vs 383: author role)
> 
> Thanks,
> Mark
> 
> 
> > I logged into capa2.phy.ohiou.edu with a username from the 
> msu domain, 
> > and ran a simple search on "algebra".  A total of 2562 matches were 
> > recorded.  I was able to display these, although the lower frame 
> > initially only displayed
> > 1 of 4 matches.  Access to the others (20 at a time) was available 
> > when I clicked the "Reload" button in the lower frame.
> > Stuart
> > Stuart Raeburn
> >> I searched on algebra in the subject with related keywords 
> and got a 
> >> bunch of stuff from Thom on Astronomy. I then searched on 
> math review 
> >> in keywords and got nothing. Lastly, I went to my old standby 
> >> 'relativity' and got nothing.
> >> Odds are I'm forgetting something or being stupid about something, 
> >> but could someone try a 'mildly productive' search and 
> pass along the 
> >> search parameters and a description of the stuff you 
> found? I'd like 
> >> to try duplicating this on oucapa2.
> ---------------------------------------------------------------------
> >> -----
> >> --

---

From: "rlight" <[email-masked]>
Date: Thu, 21 Jul 2005 12:15:54 -0400

OOPS!  I just discovered the "no role specified" button.  Didn't realize it
was there.  Is its function just to give access to Res and Srch?

I note that when first logging in, there is no button besides the "no role
specified" entry.  Only after picking a role and then changing roles does
the button appear?

So I'm curious as to why this behaviour, and what the "no role" is for.

Robley

---

From: "Stuart Peter Raeburn" <[email-masked]>
Date: Fri, 22 Jul 2005 13:53:04 -0400

Hi Robley, 

The currently active role you have selected should not make a difference to 
the results of a search. The determinant of whether searching is allowed is 
simply that the "Browse Resources" privilege applies to your currently 
selected role.  In the case of "no role" selected, the privileges that apply 
will be "cumulative" privileges.  In such a case if the role is an advanced 
role, then you will have the ability to browse resources, so you could carry 
out a search.  Note, however, that with no role selected the SRCH button 
does not appear, although the search page can be displayed by entering the 
URL: http://s10.lite.msu.edu/adm/searchcat 

Different numbers of results are being displayed for the same search (with 
no change in role) because in some instances the search utility does not 
appear to be checking the complete list of possible domains.  For example, 
for the simple search on the word "algebra" when logged into 
s10.lite.msu.edu, total numbers of results returned varied as follows: 

390 (search stops after domain fsuK12 and before domain msu)
954 (search stops after domain msul1 and before domain ohiou)
1400 (search stops after domain ohiou and before domain physnet)
1757 (search stops after domain physnet and before domain snt)
2675 search explores all domains. 

It appears that the search is stopping prematurely at different points as it 
progresses through the alphabetized list of domains in the cluster.  I will 
be examining the lonsearchcat.pm code to investigate this problem further. 

Stuart Raeburn
MSU LON-CAPA development/support